<?php

/*
* Callback function to insert 'styleselect' into the $buttons array (which adds a styleselect dropdown menu to the second row of the tinymce buttons)
*/

function uu_mce_buttons_2($buttons) {
	array_unshift($buttons, 'styleselect');
	return $buttons;
}
// Register our callback to the appropriate filter
add_filter('mce_buttons_2', 'uu_mce_buttons_2');


/*
* Callback function to filter the MCE settings
*/

function my_mce_before_init_insert_formats( $init_array ) {

// Define the style_formats array

	$style_formats = array(
		// HR Tags
		array(
			'title' => 'Center Gradient HR',
			'selector' => 'hr',
			'classes' => 'thick',
			'wrapper' => false
		),
		array(
			'title' => 'Center Red HR',
			'selector' => 'hr',
			'classes' => 'thick red',
			'wrapper' => false
		),
		array(
			'title' => 'Center Ebony HR',
			'selector' => 'hr',
			'classes' => 'thick ebony',
			'wrapper' => false
		),
		array(
			'title' => 'Center White HR',
			'selector' => 'hr',
			'classes' => 'thick white',
			'wrapper' => false
		),


		// HR Tags
		array(
			'title' => 'Left Gradient HR',
			'selector' => 'hr',
			'classes' => 'thick left',
			'wrapper' => false
		),
		array(
			'title' => 'Left Red HR',
			'selector' => 'hr',
			'classes' => 'thick left red',
			'wrapper' => false
		),
		array(
			'title' => 'Left Ebony HR',
			'selector' => 'hr',
			'classes' => 'thick left ebony',
			'wrapper' => false
		),
		array(
			'title' => 'Left White HR',
			'selector' => 'hr',
			'classes' => 'thick left white',
			'wrapper' => false
		),
		array(
			'title' => 'Right Gradient HR',
			'selector' => 'hr',
			'classes' => 'thick right',
			'wrapper' => false
		),
		array(
			'title' => 'Right Red HR',
			'selector' => 'hr',
			'classes' => 'thick right red',
			'wrapper' => false
		),
		array(
			'title' => 'Right Ebony HR',
			'selector' => 'hr',
			'classes' => 'thick right ebony',
			'wrapper' => false
		),
		array(
			'title' => 'Right White HR',
			'selector' => 'hr',
			'classes' => 'thick right white',
			'wrapper' => false
		),


	);

	$init_array['style_formats'] = json_encode( $style_formats );


	$init_array['selector'] = 'textarea';
	$init_array['plugins'] = 'link hr lists textcolor charmap';
	$init_array['link_title'] = false;

	$link_class_list = array(
	// Each array child is a format with it's own settings
			array('title' => 'No Button', 'value' => '' ),

			array('title' => 'Red Button', 'value' => 'uu-btn' ),
			array('title' => 'White Button', 'value' => 'uu-btn white' ),
			array('title' => 'Grey Button', 'value' => 'uu-btn gray' ),
			array('title' => 'Ebony Button', 'value' => 'uu-btn ebony' ),

			//small
			array('title' => 'Small Red Button', 'value' => 'uu-btn small' ),
			array('title' => 'Small White Button', 'value' => 'uu-btn white small' ),
			array('title' => 'Small Grey Button', 'value' => 'uu-btn gray small' ),
			array('title' => 'Small Ebony Button', 'value' => 'uu-btn ebony small' ),

			//large
			array('title' => 'Large Red Button', 'value' => 'uu-btn large' ),
			array('title' => 'Large White Button', 'value' => 'uu-btn white large' ),
			array('title' => 'Large Grey Button', 'value' => 'uu-btn gray large' ),
			array('title' => 'Large Ebony Button', 'value' => 'uu-btn ebony large' ),

			//ghost
			array('title' => 'Wire Red Button', 'value' => 'uu-btn ghost' ),
			array('title' => 'Wire White Button', 'value' => 'uu-btn white ghost' ),
			array('title' => 'Wire Grey Button', 'value' => 'uu-btn gray ghost' ),
			array('title' => 'Wire Ebony Button', 'value' => 'uu-btn ebony ghost' ),


	);

	$init_array['link_class_list'] = json_encode( $link_class_list );

	return $init_array;

}
// Attach callback to 'tiny_mce_before_init'
add_filter( 'tiny_mce_before_init', 'my_mce_before_init_insert_formats' );

?>
